SapccApiDoCartCloneRequest
Request parameters for doCartClone operation in SapccApi. SapccApiDoCartCloneRequest
interface SapccApiDoCartCloneRequest {
readonly baseSiteId: string;
readonly cartId: string;
readonly description?: string;
readonly fields?: string;
readonly name?: string;
readonly userId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
baseSiteId | Required | string | Base site identifier {string} SapccApiDoCartClone |
cartId | Required | string | Cart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiDoCartClone |
description | Optional | string | Description of the cloned cart. {string} SapccApiDoCartClone |
fields | Optional | string | Response configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiDoCartClone |
name | Optional | string | Name of the cloned cart. {string} SapccApiDoCartClone |
userId | Required | string | User identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiDoCartClone |